JBoss API: Class HypersonicDatabase

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jdbc
Class HypersonicDatabase

    java.lang.Object
      |
      +--javax.management.NotificationBroadcasterSupport
            |
            +--org.jboss.util.ServiceMBeanSupport
                  |
                  +--org.jboss.jdbc.HypersonicDatabase

All Implemented Interfaces:
  HypersonicDatabaseMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, Service, ServiceMBean

public class HypersonicDatabase
extends ServiceMBeanSupport
implements HypersonicDatabaseMBean

Integration with Hypersonic SQL (http://hsqldb.oron.ch/). Starts a Hypersonic database in-VM.

Version:
  $Revision: 1.8.4.2 $
Author:
  Rickard Öberg, Scott Stark., Peter Fagerlund pf@iprobot.se @see stopService()
See Also:
  `HypersonicDatabaseMBean`

Fields inherited from class org.jboss.util.ServiceMBeanSupport
`log, server`

Fields inherited from interface org.jboss.jdbc.HypersonicDatabaseMBean
`OBJECT_NAME`

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Constructor Summary
`HypersonicDatabase()`

Method Summary
`java.lang.String` | `getDatabase()`
`java.lang.String` | `getName()`
`int` | `getPort()`
`boolean` | `getSilent()`
`boolean` | `getTrace()`
`void` | `setDatabase(java.lang.String name)`
`void` | `setPort(int port)`
`void` | `setSilent(boolean silent)`
`void` | `setTrace(boolean trace)`
`void` | `startService()`
`void` | `stopService()`

Methods inherited from class org.jboss.util.ServiceMBeanSupport
`destroy, destroyService, getObjectName, getServer, getState, getStateString, init, initService, nextSequenceNumber, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.util.ServiceMBean
`getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Constructor Detail

### HypersonicDatabase

    public HypersonicDatabase()

Method Detail

### setDatabase

    public void setDatabase(java.lang.String name)

  Specified by:
    `setDatabase` in interface `HypersonicDatabaseMBean`

### getDatabase

    public java.lang.String getDatabase()

  Specified by:
    `getDatabase` in interface `HypersonicDatabaseMBean`

### setPort

    public void setPort(int port)

  Specified by:
    `setPort` in interface `HypersonicDatabaseMBean`

### getPort

    public int getPort()

  Specified by:
    `getPort` in interface `HypersonicDatabaseMBean`

### setSilent

    public void setSilent(boolean silent)

  Specified by:
    `setSilent` in interface `HypersonicDatabaseMBean`

### getSilent

    public boolean getSilent()

  Specified by:
    `getSilent` in interface `HypersonicDatabaseMBean`

### setTrace

    public void setTrace(boolean trace)

  Specified by:
    `setTrace` in interface `HypersonicDatabaseMBean`

### getTrace

    public boolean getTrace()

  Specified by:
    `getTrace` in interface `HypersonicDatabaseMBean`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `ServiceMBean`
  Overrides:
    `getName` in class `ServiceMBeanSupport`

### startService

    public void startService()
                      throws java.lang.Exception

  Overrides:
    `startService` in class `ServiceMBeanSupport`

### stopService

    public void stopService()

  Overrides:
    `stopService` in class `ServiceMBeanSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.